Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.shape
Class ShapeDatastore

    java.lang.Object
      org.deegree.io.datastore.Datastore
          org.deegree.io.datastore.shape.ShapeDatastore

    public class ShapeDatastore

extends Datastore

`Datastore` implementation that allows (read-only) access to ESRI shape files.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Anup Deshmukh, Markus Schneider , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.io.datastore.Datastore
`SRS_UNDEFINED`

Constructor Summary
`ShapeDatastore()`

Method Summary
`void` | `bindSchema(MappedGMLSchema schema)` Adds the given GML application schema to the set of schemas that are handled by this datastore instance.
`void` | `close()` Closes the datastore so it can free dependent resources.
`AnnotationDocument` | `getAnnotationParser()` Returns the datastore specific annotation parser.
`FeatureCollection` | `performQuery(Query query, MappedFeatureType[] rootFts)` Performs a query against the datastore.
`FeatureCollection` | `performQuery(Query query, MappedFeatureType[] rootFts, DatastoreTransaction context)` Performs a query against the datastore (in the given transaction context).

Methods inherited from class org.deegree.io.datastore.Datastore
`acquireTransaction, canTransformTo, configure, determineFidsToLock, getConfiguration, getFeatureType, getSchemas, releaseTransaction, transformQuery, transformResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeDatastore

    public ShapeDatastore()

Method Detail

### getAnnotationParser

    public AnnotationDocument getAnnotationParser()

  Description copied from class: `Datastore`
  Returns the datastore specific annotation parser.

  Specified by:
    `getAnnotationParser` in class `Datastore`
  Returns:
    the datastore specific annotation parser

### bindSchema

    public void bindSchema(MappedGMLSchema schema)
                    throws DatastoreException

  Description copied from class: `Datastore`
  Adds the given GML application schema to the set of schemas that are handled by this datastore instance.

  Note that this method may be called several times for every GML schema that uses this datastore instance.

  Overrides:
    `bindSchema` in class `Datastore`
  Parameters:
    `schema` - GML application schema to bind
  Throws:
    `DatastoreException`

### performQuery

    public FeatureCollection performQuery(Query query,
                                          MappedFeatureType[] rootFts)
                                   throws DatastoreException

  Description copied from class: `Datastore`
  Performs a query against the datastore.

  Specified by:
    `performQuery` in class `Datastore`
  Parameters:
    `query` - query to be performed
    `rootFts` - the root feature types that are queried, more than one type means that the types are joined
  Returns:
    requested feature instances
  Throws:
    `DatastoreException`

### performQuery

    public FeatureCollection performQuery(Query query,
                                          MappedFeatureType[] rootFts,
                                          DatastoreTransaction context)
                                   throws DatastoreException

  Description copied from class: `Datastore`
  Performs a query against the datastore (in the given transaction context).

  Specified by:
    `performQuery` in class `Datastore`
  Parameters:
    `query` - query to be performed
    `rootFts` - the root feature types that are queried, more than one type means that the types are joined
    `context` - context (used to specify the JDBCConnection, for example)
  Returns:
    requested feature instances
  Throws:
    `DatastoreException`

### close

    public void close()
               throws DatastoreException

  Closes the datastore so it can free dependent resources.

  Specified by:
    `close` in class `Datastore`
  Throws:
    `DatastoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org